<template>
  <div>
    <div>{{title}}</div>
    <div>{{service}}</div>
    <div class="service-locations" style="margin-top: 12px;">
      <i class="icon pin"/> {{item.startAddress}} → <i class="icon pin"/> {{item.endAddress}}
    </div>
  </div>
</template>

<script>
  export default {
    name: 'nameOrder',
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      title () {
        if (this.item.service) {
          return this.item.service.serviceTypeTitle;
        } else {
          return this.item.title.split(' - ')[0];
        }
      },
      service () {
        if (this.item.service) {
          return this.item.service.resourceSubtypeTitle + '. ' + this.item.service.resourcePatternParameter;
        } else {
          let data = this.item.title.split(' - ');
          const text = this.item.serviceUnitTitle + '. ' + data[data.length - 1];
          return text
        }
      }
    }
  };
</script>